<script lang="ts" setup>
import MainButton from './MainButton.vue';

defineEmits<{
  (e: 'click', v: MouseEvent): void;
}>();
defineProps<{
  iconOnly?: boolean;
  solid?: boolean;
  outlined?: boolean;
  disabled?: boolean;
  dark?: boolean;
  size?: string;
}>();
</script>

<template>
  <MainButton
    @click="(e) => $emit('click', e)"
    v-bind="{ ...$props, ...$attrs }"
    icon="mdi-eye-outline"
    color="var(--gray-8-hsl)"
    :title="iconOnly ? $t('general.viewDetail') : undefined"
  >
    {{ $t('general.viewDetail') }}
  </MainButton>
</template>
